> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List order disputes

> Retrieve a paginated list of order disputes for orders where the authenticated user is the seller or buyer.



## OpenAPI

````yaml /api/openapi.json get /v2/order-disputes
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/order-disputes:
    get:
      tags:
        - Order Disputes
      summary: List order disputes
      description: >-
        Retrieve a paginated list of order disputes for orders where the
        authenticated user is the seller or buyer.
      parameters:
        - name: filter[id]
          in: query
          description: Filter by dispute ID.
          required: false
          schema:
            type: string
            example: 3,6,9
        - name: filter[status]
          in: query
          description: Filter by dispute status.
          required: false
          schema:
            enum:
              - waiting_for_seller
              - waiting_for_buyer
              - pending_admin_resolution
              - escalated
              - closed
            type: string
            example: waiting_for_seller
        - name: filter[orderable_type]
          in: query
          description: Filter by orderable type.
          required: false
          schema:
            enum:
              - account_order
              - item_order
              - currency_order
            type: string
            example: account_order
        - name: filter[orderable_id]
          in: query
          description: Filter by orderable ID.
          required: false
          schema:
            type: string
            example: 110237
        - name: filter[active]
          in: query
          description: Filter by open (true) or closed (false) disputes.
          required: false
          schema:
            type: boolean
        - name: filter[created_at]
          in: query
          description: >-
            Filter by created at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: filter[updated_at]
          in: query
          description: >-
            Filter by updated at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: '2025-10-05'
        - name: filter[closed_at]
          in: query
          description: >-
            Filter by closed at. Supports single date (YYYY-MM-DD) or date range
            (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: sort
          in: query
          description: Sort by field. Prefix with - for descending order.
          required: false
          schema:
            enum:
              - id
              - '-id'
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
              - closed_at
              - '-closed_at'
            default: '-updated_at'
            type: string
            example: '-updated_at'
        - name: per_page
          in: query
          description: Items per page (max 50)
          required: false
          schema:
            default: 15
            type: integer
            maximum: 50
            minimum: 1
      responses:
        '200':
          description: A paginated list of order dispute cases
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/OrderDisputeCase'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        nullable: true
                      last:
                        type: string
                        nullable: true
                      prev:
                        type: string
                        nullable: true
                      next:
                        type: string
                        nullable: true
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    OrderDisputeCase:
      description: Order dispute case
      type: object
      properties:
        id:
          description: Unique identifier for the dispute case
          type: integer
        orderable_type:
          description: Type of order under dispute
          enum:
            - account_order
            - item_order
            - currency_order
          type: string
        orderable_id:
          description: ID of the order under dispute
          type: integer
        buyer_id:
          description: User ID of the buyer who opened the dispute
          type: integer
        status:
          description: Current status in the dispute workflow
          enum:
            - waiting_for_seller
            - waiting_for_buyer
            - pending_admin_resolution
            - escalated
            - closed
          type: string
        progress_path:
          description: Position within the dispute progression flow
          enum:
            - waiting_for_seller
            - waiting_for_buyer
            - pending_admin_resolution_after_seller_accepted
            - pending_admin_resolution_after_buyer_accepted_counter
            - escalated_by_seller
            - escalated_by_seller_timeout
            - escalated_by_buyer
            - escalated_by_buyer_timeout
            - closed_seller_accepted
            - closed_buyer_accepted_counter
            - closed_manually_after_seller_accepted_review
            - closed_manually_after_buyer_accepted_counter_review
            - closed_manually_from_seller_stage
            - closed_manually_from_buyer_stage
            - closed_manually_after_seller_review
            - closed_manually_after_seller_timeout_review
            - closed_manually_after_buyer_review
            - closed_manually_after_buyer_timeout_review
          type: string
          nullable: true
        reason:
          description: Buyer-selected reason for opening the dispute
          enum:
            - account_not_as_described
            - account_not_delivered
            - account_invalid_login_details
            - account_access_recovery_or_ban_issue
            - account_seller_unresponsive_or_uncooperative
            - item_not_delivered
            - item_not_as_described
            - item_access_recovery_or_ban_issue
            - item_seller_unresponsive_or_uncooperative
            - currency_topup_not_delivered
            - currency_topup_not_as_described
            - currency_topup_access_recovery_or_ban_issue
            - currency_topup_seller_unresponsive_or_uncooperative
          type: string
          nullable: true
        explanation:
          description: Buyer-provided free-text explanation
          type: string
          nullable: true
        preferred_resolution:
          description: Buyer-preferred resolution
          enum:
            - other
            - refund
          type: string
          nullable: true
        preferred_resolution_note:
          description: Buyer-provided note clarifying the preferred resolution
          type: string
          nullable: true
        escalation_reason:
          description: Reason the dispute was escalated to GameBoost
          enum:
            - seller_requested
            - buyer_requested
            - seller_timeout
            - buyer_timeout
          type: string
          nullable: true
        closure_reason:
          description: Reason the dispute was closed
          enum:
            - seller_accepted
            - buyer_accepted_counter
            - manual_close
            - seller_provided_valid_replacement
            - seller_proved_delivery
            - seller_proved_description_accurate
            - issue_could_not_be_verified
            - buyer_claim_accepted
            - seller_admitted_issue
            - technical_failure_confirmed
            - buyer_error_confirmed
            - mutual_agreement_reached
            - insufficient_evidence_from_buyer
            - insufficient_evidence_from_seller
            - duplicate_dispute
            - policy_exception
            - other
          type: string
          nullable: true
        outcome:
          description: Final outcome of the dispute
          enum:
            - refund
            - buyer_win
            - seller_win
          type: string
          nullable: true
        seller_response_due_at:
          description: Unix timestamp when the seller response deadline expires
          type: integer
          nullable: true
        buyer_response_due_at:
          description: Unix timestamp when the buyer response deadline expires
          type: integer
          nullable: true
        active_due_at:
          description: Unix timestamp of the currently active deadline (if any)
          type: integer
          nullable: true
        is_active_deadline_expired:
          description: Whether the currently active deadline has expired
          type: boolean
        seller_response_hours:
          description: Configured response window (hours) for the seller on this dispute
          type: integer
          nullable: true
        buyer_response_hours:
          description: Configured response window (hours) for the buyer on this dispute
          type: integer
          nullable: true
        locked_at:
          description: Unix timestamp when the order was locked by the dispute
          type: integer
          nullable: true
        closed_at:
          description: Unix timestamp when the dispute was closed
          type: integer
          nullable: true
        created_at:
          description: Unix timestamp when the dispute was created
          type: integer
        updated_at:
          description: Unix timestamp of the last modification
          type: integer
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````